<?xml version="1.0" encoding="UTF-8" ?>
<pageDefinition xmlns="http://xmlns.oracle.com/adfm/uimodel"
                version="10.1.3.35.83" id="app_staff_SRStaffSearchPageDef"
                Package="oracle.srdemo.view.pageDefs"
                EnableTokenValidation="false">
  <parameters/>
  <executables>
    <iterator id="StaffListByEmailNameRoleIterator" Binds="StaffListByEmailNameRole" RangeSize="10"
              DataControl="SRService"/>
    <iterator id="ServiceRequestsIterator" RangeSize="10"
              Binds="ServiceRequests" DataControl="SRService"/>
    <variableIterator id="variables">
      <variableUsage DataControl="SRService"
                     Binds="StaffListByEmailNameRole.variablesMap.Role" Name="StaffListByEmailNameRole_Role"
                     IsQueriable="false"/>
      <variableUsage DataControl="SRService"
                     Binds="StaffListByEmailNameRole.variablesMap.EmailAddress"
                     Name="StaffListByEmailNameRole_EmailAddress" IsQueriable="false"/>
      <variableUsage DataControl="SRService"
                     Binds="StaffListByEmailNameRole.variablesMap.TheFirstName"
                     Name="StaffListByEmailNameRole_TheFirstName" IsQueriable="false"/>
      <variableUsage DataControl="SRService"
                     Binds="StaffListByEmailNameRole.variablesMap.TheLastName"
                     Name="StaffListByEmailNameRole_TheLastName" IsQueriable="false"/>
    </variableIterator>
  </executables>
  <bindings>
    <table IterBinding="StaffListByEmailNameRoleIterator" id="StaffListByEmailNameRole">
      <AttrNames>
        <Item Value="UserId"/>
        <Item Value="Email"/>
        <Item Value="FirstName"/>
        <Item Value="LastName"/>
        <Item Value="UserRole"/>
      </AttrNames>
    </table>
    <attributeValues id="TheFirstName" IterBinding="variables">
      <AttrNames>
        <Item Value="StaffListByEmailNameRole_TheFirstName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues id="TheLastName" IterBinding="variables">
      <AttrNames>
        <Item Value="StaffListByEmailNameRole_TheLastName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues id="EmailAddress" IterBinding="variables">
      <AttrNames>
        <Item Value="StaffListByEmailNameRole_EmailAddress"/>
      </AttrNames>
    </attributeValues>
    <list id="Role" IterBinding="variables" ListOperMode="0" StaticList="true"
          NullValueFlag="1">
      <AttrNames>
        <Item Value="StaffListByEmailNameRole_Role"/>
      </AttrNames>
      <ValueList>
        <Item Value="Any"/>
        <Item Value="Technician"/>
        <Item Value="Manager"/>
      </ValueList>
    </list>
    <attributeValues IterBinding="ServiceRequestsIterator" id="AssignedTo">
      <AttrNames>
        <Item Value="AssignedTo"/>
      </AttrNames>
    </attributeValues>
    <action id="ExecuteWithParams"
            IterBinding="StaffListByEmailNameRoleIterator"
            InstanceName="SRService.StaffListByEmailNameRole"
            DataControl="SRService" RequiresUpdateModel="true" Action="95">
      <NamedData NDName="Role" NDType="java.lang.String"
                 NDValue="${bindings.StaffListByEmailNameRole_Role}"/>
      <NamedData NDName="EmailAddress" NDType="java.lang.String"
                 NDValue="${bindings.StaffListByEmailNameRole_EmailAddress}"/>
      <NamedData NDName="TheFirstName" NDType="java.lang.String"
                 NDValue="${bindings.StaffListByEmailNameRole_TheFirstName}"/>
      <NamedData NDName="TheLastName" NDType="java.lang.String"
                 NDValue="${bindings.StaffListByEmailNameRole_TheLastName}"/>
    </action>
  </bindings>
</pageDefinition>
